var defaultOrder = "desc";
var defaultBy = "i";

var id; //used for searching by ID
var featuredBox;
var filter;
var order;
var category;
var search;
var by;
var lastID;
var imgid;
var flagged;
var multipleSelect = false; // selecting multiple images
var page;
var totalPages;
var startPage;
var endPage;
var random;
var queue;
var importStarted; // if 1, prevent from leaving or reloading accidentally
var useJS; // javascript boolean

var formSubmitted = 0; // prevent double clicking
var formID; // used to gather serialized data from a specific form

var startAmount = 0; // specify how many images already exist
var feedAmount = 0; // specific amount of images to add to display
var time = Math.round(new Date().getTime() / 1000);

$(document).ready(function(){
window.onbeforeunload=goodbye;
resetVars();
postFeed();
flashUpload();
createUploader();
bindClick();

$('#addImage').click(function() { popup('#uploadBox'); });
$('.uploadButton').click(function() { $('.hideUpload').hide(); $('#'+$(this).attr('rel')).show(); });
$('#download').click(function() { 
	if(getSelectedArray().length == 1) { 
		$('#iframe').html('<iframe src="download.php?'+getSelected()+'"></iframe>'); 
	} 
});

$('table tr:even').css('background','#eee');

$('#newAdCode').click(function() { 
	$('#adName').val('').attr('name','ad[name][0]'); 
	$('#adCode').val('').attr('name','ad[code][0]');
	$('#adLocation').attr('name','ad[location][0]');
	$('#adActive').val('').attr('name','ad[active][0]');
	popup('#adCodeForm'); 
	});
$('.adremove').click(function() { submitForm('ads','js=1&removeid='+$(this).attr('id')); $('#adRow'+$(this).attr('id')).fadeOut('fast'); }); 
$('.adedit').click(function() { 
	var adID = $(this).attr('id'); 
	$('#adName').val($('#adName'+adID).val()).attr('name','ad[name]['+adID+']'); 
	$('#adCode').val($('#adCode'+adID).val()).attr('name','ad[code]['+adID+']'); 
	$('#adLocation').val($('#adLocation'+adID).val()).attr('name','ad[location]['+adID+']');
	$('#adActive').val($('#adActive'+adID).val()).attr('name','ad[active]['+adID+']');
	popup('#adCodeForm'); 
	});
$('#newAdLocationLink').click(function() { $('#newAdLocation').show(); $('#newAdLocationLinkDiv').hide(); });
// end ads


$.get('blog_rss.php',function(data) { $('#blog').html(data); });

$('#previewTemplate').click(function() {
	var url = domain + '?template='+$('#templateSelect').val();
	window.open(url);
});

$('#galleries .gallery:odd').css('background','#eee');

$('#galleryNew').click(function() { useJS = true; galleryForm(); });

$('.tip').qtip({ style: { name: 'light', show: { delay: 0 }, effect: { length: 0 }, tip: true, border: { width: 1 } } })

$('.editGalleryButton').click(function() { 
	var galleryID = $(this).attr('rel'); 
	$('#galleryTitle').html('Editing Gallery'); 
	$('#galleryAction').val('');
	$('#galleryDescription').val($('#description'+galleryID).val()); 
	$('#galleryWidget').val($('#widget'+galleryID).val()); 
	$('#galleryName').val($('#name'+galleryID).val()); 
	$('#galleryID').val(galleryID);
	if($('#active'+galleryID).val() == 1) { $('#galleryActive').attr('checked',true); } else { $('#galleryActive').attr('checked',false); }
	$('#galleryParentID').val($('#currentparent'+galleryID).val()); // current parent ID
	$('#galleryParent').val($('#currentparent'+galleryID).val()); // new parent ID
	$('#gallerySubmit').val('Update Gallery');
	galleryForm(); 
});
$('.addGalleryButton').click(function() { 
	useJS = false;
	$('#galleryTitle').html('New Gallery');
	$('#galleryAction').val('createGallery'); 
	$('#galleryDescription').val(''); 
	$('#galleryWidget').val(''); 
	$('#galleryName').val(''); 
	$('#galleryID').val('');
	$('#gallerySubmit').val('Add Gallery');
	$('#galleryParentID').val('0');
	$('#galleryParent').val($('#currentGalleryID').val());
	$('#galleryActive').attr('checked',true);
	galleryForm();  
});
$('.removeFromGallery').click(function() { loading(true); });

$('#addVideo').click(function() { selectNone(); formBox('new'); });
//$('#addImage').click(function() { imageForm('new'); });


$('#edit').click(function() { 
	if(getSelected()) { 
		if(type == 'video') { $.post('set.php','videoid=true'); } 
		formBox('edit'); 
	}  
});


$('#importForm').submit(function() { $('input[type=submit]').hide(); loading(true); });

$('#enterField').click(function() { 
	loading(true); $.post('fields.php',"getFields=1&"+getSelected(),function(data) { $('#fieldDrawer').html(data).slideDown('fast',function() { $("#fieldsForm input:first").focus().select(); }); loading(false); 
	$('#fieldsForm').submit(function() { 
			submitForm('fields',false,true); $('#fieldDrawer').slideUp('fast'); return false; 
		});
	
	});  });

$('.rootFolder').click(function() { 
	var rootValue = $('#rootValue').val();
	$(this).parent().parent().find('input[type="text"]').val(rootValue);
	return false;
});


$('#searchSubmit').click(postSearch);
$('#search').submit(postSearch);

$('#message').click(function() { $(this).fadeOut(); });

$('.block').css('border-bottom','1px solid #eee');

$('#delete').click(function() { deleteImages(); return false; });
$('#selectAll').click(function() { selectAll(); return false; });
$('#clearAll').click(function() { selectNone(); return false; });
$('#setFeatured').click(function() { submitForm('feature',false,true); });

$('#rename').click(function() { 
	loading(true); 
		$.get('rename.php',function(data) { loading(false); $('#renameDrawer').hide().html(data).slideDown('fast', function() { $('#filename').select(); });
		$('#renameForm').submit(function() { 
			submitForm('rename',false,true); $('#renameDrawer').slideUp(); return false; 
		});
	}); 
});

$('.view').click(function() { $('.subnav').show(); });
$('.subnav').hover(function(){ }, function() { $('.subnav').hide(); });
$('.view option').click(updateView);
$('.viewSubmit').click(updateView);

$('.set').click(function() { 
	var action = $(this).attr('id'); submitForm('set',action+'=1',true); 
	if(action == 'nws') { assignIcon('add','nws'); } 
	if(action == 'ws') { assignIcon('remove','nws'); } 
});

$('#code').click(function() { 
	if(getSelected()) {
	var self = "code.php?type="+type+"&"+getSelected();
	$.fancybox({
	'href': self,
	speedIn: 0,
	speedOut: 0,
	margin: 0,
	padding:0,
	centerOnScroll: true,
	autoDimensions: true,
	'showCloseButton'	: false,
	'titlePosition' 		: 'outside',
	'titleFormat'		: formatTitle,
	onComplete: function() { positionTitle(); $('#codeArea a').click(function(){ $('#codeArea textarea').hide(); $('#'+$(this).attr('id')+'Box').show(); } ); }
	}); 
	} 
});

$('#tag').click(function() { 
if(getSelected()) {
loading(true); 
$('#tagDrawer').hide();
$.get('tag.php',getSelected(),function(data) { loading(false); $('#tagDrawer').html(data).slideDown('fast'); $('#tagsArea').focus(); 
resetClick();
$('#tagForm').submit(function() { submitForm('tag','addTags=1',true); 
	if($('#tagsArea').val()) { assignIcon('add','tag'); } 
	if($('#tagsClear').attr('checked')){ assignIcon('remove','tag'); } 
	$('#tagDrawer').slideUp(); return false; }); });
}//end getSelected
});


$('#seturl').click(function() { 
	loading(true); 
		$.post('seturl.php',getSelected(),function(data) { loading(false); $('#urlDrawer').hide().html(data).slideDown('fast', function() { $('#urlInput').select(); });
		resetClick();
		$('#seturlForm').submit(function() { 
			submitForm('seturl',false,true); $('#urlDrawer').slideUp(); return false; 
		});
	}); 
});

$('#title').click(function() { 
$('#titleDrawer').hide();
loading(true); 
$.get('autopost.php',getSelected()+"&type="+type,function(data) { loading(false); $('#titleDrawer').html(data); $('#titleDrawer').slideDown('fast'); resetClick(); $('#titleInput').focus(); $('#autopostForm').submit(function() { if($('#titleInput').val()) { submitForm('autopost','addTitle=1',true); assignIcon('add','autopost'); $('#titleDrawer').slideUp(); } else { alertMe('Please enter in a title','error'); } return false; }); });
});

$('#categoryApply').click(function() { if(getSelected()) { submitForm('galleries','js=1&galleryAction=add&galleryID='+$('#gallerySelect').val(),true); } else { alertMe('Please choose an image','error'); } });
$('#categoryCover').click(function() { if(getSelected()) { submitForm('set','cover=1&galleryID='+$('#gallerySelect').val(),true); } });

$('#approve').click(function() { var approveMode = $(this).attr('rel'); if(getSelected()) { setApprove(); } else { setApprove(1); } return false; });
$('#disapprove').click(function() { var approveMode = $(this).attr('rel'); if(getSelected()) { setDisapprove(); } else { setDisapprove(1); } return false; });

});

$(this).keydown(function (e) { if(e.keyCode == 16) { multipleSelect = true; } });
$(this).keyup(function(e) { if(e.keyCode == 16) { multipleSelect = false; }});

//*/