function fileDialogComplete(numFilesSelected, numFilesQueued) {
	try {
		if (this.getStats().files_queued > 0) {
			document.getElementById(this.customSettings.cancelButtonId).disabled = false;
			$('#ems-fsUploadProgress').show();
		}
		this.startUpload();
	} catch (ex)  {
        this.debug(ex);
	}
}

function uploadComplete(file) {
	try {
		if (this.getStats().files_queued === 0) {
			document.getElementById(this.customSettings.cancelButtonId).disabled = true;
			window.location = uploadCompleteURL;
		} else {	
			this.startUpload();
		}
	} catch (ex) {
		this.debug(ex);
	}

}

$(function() {
$('#ems-uploadForm').submit(function() {
$('#ems-uploadManualButton').hide();
$('#ems-loading').show();
});


new SWFUpload({
				// Backend Settings
				upload_url: uploadURL,
				// File Upload Settings
				file_size_limit : uploadSizeLimit,
				file_types : "*.jpg;*.png;*.gif;*.jpeg",
				file_types_description : "Image Files",
				file_upload_limit : uploadLimit,
				file_queue_limit : 0,
				
				post_params: { 'user_key' : userKey, 'ip' : ip },

				// Event Handler Settings (all my handlers are in the Handler.js file)
				swfupload_preload_handler : preLoad,
				swfupload_load_failed_handler : loadFailed,
				file_dialog_start_handler : fileDialogStart,
				file_queued_handler : fileQueued,
				file_queue_error_handler : fileQueueError,
				file_dialog_complete_handler : fileDialogComplete,
				upload_start_handler : uploadStart,
				upload_progress_handler : uploadProgress,
				upload_error_handler : uploadError,
				upload_success_handler : uploadSuccess,
				upload_complete_handler : uploadComplete,
				
				// Button Settings
				
				button_image_url : templateURL + "/images/selectImages.png",
				button_width: 150,
				button_height: 45,
				
				button_placeholder_id : "ems-uploadButton",
				
				// Flash Settings
				flash_url : sharedURL + "/swf/swfupload.swf",
				flash9_url : sharedURL + "/swf/swfupload_fp9.swf",
			
				post_params : { "token" : tokenKey }, 
				custom_settings : {
					success: uploadComplete,
					progressTarget : "ems-fsUploadProgress",
					cancelButtonId : "ems-btnCancel1"
				},
				button_window_mode : SWFUpload.WINDOW_MODE.TRANSPARENT, 
				// Debug Settings
				debug: false
			});
});