function resetClick() {
	formSubmitted = 0;
	unbindClick(); bindClick();
}

function enterSubmit() {
$('input').keypress(function(event) {
	if (event.keyCode == '13') {
	$('form').submit();
	}
	});
}

function blank() { return true; }

function createUploader(){            
            var uploader = new qq.FileUploader({
                element: document.getElementById('ems-upload'),
                action: 'upload.php',
                onComplete: function(id, fileName, responseJSON){ $('.qq-upload-list').html(''); postFeed(true); }
            });           
        }

function popup(href,completedFunction) {
$.fancybox({
	'href': href,
	speedIn: 0,
	speedOut: 0,
	padding:0,
	overlayShow: true, 
	margin: 0,
	centerOnScroll: false,
	autoDimensions: false,
	width: 650,
	height: 335,
	hideOnOverlayClick: false,
	'showCloseButton'	: false,
	'titlePosition' 	: 'outside',
	'titleFormat'		: formatTitle,
	onComplete: function() { 
		positionTitle();
		resetClick();
		enterSubmit();
		if(completedFunction) { $(href+' form').submit(completedFunction); } else { $.fancybox.close(); }
	}
	});
}



function postFeed(clear)
{
$('#fsUploadProgress1').hide();
if(clear) { reset(); }
	unbindClick();
    $('div#loader').show();
    
//    lastID = $(".thumb:last").attr("id");
    lastID = $('.thumb').length;

    var postURL = "feed.php?type="+type;
    
    if(filter) { 	postURL += "&viewFilter="+filter; }
    if(order)  { 	postURL += "&order="+order; }
    if(category){ 	postURL+= "&category="+category; }
    if(search)  { 	postURL+= "&search="+search; }
    if(by) { 		postURL += "&by="+by; }
    if(id) { 		postURL += "&id="+id; }
    if(random) { 	postURL += "&random="+random; }
    if(user) { 		postURL += "&user="+user; }
    if(page) {		postURL += "&page="+page; }
    if(lastID) { 	postURL += "&lastID=" + lastID; }
    if(startAmount > 0) { postURL += "&start=" + startAmount; startAmount = 0; }
    if(feedAmount > 0) { postURL += "&limit=" + feedAmount; feedAmount = 0; }

    $.getJSON(postURL,    

    function(data){
    totalPages = data.totalPages;
    $('.pageNumbers').html('');
	if(totalPages > 0) {
    var prevPage = parseFloat(page) - 1;
    var nextPage = parseFloat(page) + 1;
    startPage = data.startPage;
    endPage = data.endPage;
    	if(page > 1) {
    		$('.pageNumbers').append('<a class="page" rel="1">&lt;&lt;</a>');
    	} else {
    		$('.pageNumbers').append('<i>&lt;&lt;</i>');
    	}
    	if(prevPage > 0) {
    		$('.pageNumbers').append('<a class="page" rel="'+prevPage+'">&lt;</a>');
    	} else {
    		$('.pageNumbers').append('<i>&lt;</i>');
    	}
    for(i=startPage;i<=endPage;i++) {
	    if(i == page) { 
	    	$('.pageNumbers').append('<b>'+i+'</b>'); 
    	} else {
	    	$('.pageNumbers').append('<a class="page" rel="'+i+'">'+i+'</a>');
   		}
    }
    if(page < totalPages) {
    		$('.pageNumbers').append('<a class="page" rel="'+nextPage+'">&gt;</a><a class="page" rel="'+totalPages+'">&gt;&gt;</a>');
    	} else {
    		$('.pageNumbers').append('<i>&gt;</i><i>&gt;&gt;</i>');
    	}
    } else {
    // no images to display, show unintrusive alert box
    }
    if (data.media) {
    var nwsIcon;
    var autopostIcon;
    var approvedIcon;
    var tagIcon;
    var titleIcon;
    var descriptionIcon;
    var autopostCategory;
    var autopostClass;
    
    $.each(data.media, function(i,image) {
    	var ts = Math.round(new Date().getTime() / 1000);
    	if(image.nws == 1) { nwsIcon = 'show'; } else { nwsIcon = 'hide'; }
    	if(image.active == 1) { approvedIcon = 'show'; } else { approvedIcon = 'hide'; }
    	if(image.autopost == 1) { autopostIcon = 'show'; } else { autopostIcon = 'hide'; }
    	if(image.tags) { tagIcon = 'show'; } else { tagIcon = 'hide'; }
    	if(image.title) { titleIcon = 'show'; } else { titleIcon = 'hide'; }
    	if(image.description) { descriptionIcon = 'show'; } else { descriptionIcon = 'hide'; }
    	if(image.autopost_category) { autopostCategory = image.autopost_category; autopostClass = false; } else { autopostCategory = "none"; autopostClass = 'empty'; }
    	
    	if(image.filename) { var thumb = data.thumbdir+image.filename; } else { var thumb = '../ip-shared/images/default-video.jpg'; }
    	if(type == 'image') { var full = data.fulldir+image.filename; } else { var full = 'view/'+type+'/'+image.i; }
    	var htmlData = '<div class="thumb" id="thumb'+image.i+'"><input type="checkbox" name="i[]" class="checkbox" rel="'+image.i+'" id="checkbox'+image.i+'" value="'+image.i+'" style="display:none">';
    	htmlData += '<a href="'+full+'" id="'+image.i+'" class="preview" rel="'+data.mediaType+'">';
    	htmlData += '<img src="'+thumb+'?r='+ts+'" alt="'+image.i+'" class="thumbnail" /></a><div class="clear"></div><div class="status">';
    	htmlData += '<img src="img/icons/nws.png" class="nws '+nwsIcon+'">';
    	htmlData += '<img src="img/icons/approved.png" class="approved '+approvedIcon+'">';
    	htmlData += '<img src="img/icons/autopost.png" class="autopost '+autopostIcon+'">';
    	htmlData += '<img src="img/icons/tagged.png" class="tag '+tagIcon+'">';
    	htmlData += '<img src="img/icons/title.png" class="title '+titleIcon+'">';
    	htmlData += '<img src="img/icons/description.png" class="description '+descriptionIcon+'">';
    	htmlData += '</div><div class="clear"></div>';
    	htmlData += '<div class="mediaInfo"><a class="viewInfo grey-button pcb" rel="'+image.i+'"><span>view info</span></a></div>';
    	htmlData += '<div class="autopost"><input value="'+autopostCategory+'" class="'+autopostClass+'" readonly></div>';
    	htmlData += '</div>';
    	$('#showImages').append(htmlData);
    });
        } // end if data.media
		bindClick();
    });
    $('div#loader').hide();
}

function fileDialogComplete(numFilesSelected, numFilesQueued) {
	try {
		if (this.getStats().files_queued > 0) {
			document.getElementById(this.customSettings.cancelButtonId).disabled = false;
		$('#fsUploadProgress1').slideDown('fast');
		}
		//document.getElementById('uploadButtonBox').style.visibility = 'hidden';
		this.startUpload();
	} catch (ex)  {
        this.debug(ex);
	}
}

function uploadComplete(file) {
	try {
		if (this.getStats().files_queued === 0) {
			document.getElementById(this.customSettings.cancelButtonId).disabled = true;
			postFeed(true);
			//window.location = "/upload/complete/";
		} else {	
			this.startUpload();
		}
	} catch (ex) {
		this.debug(ex);
	}

}


function goodbye(e) {
	if(importStarted > 0) {
	if(!e) e = window.event;
	//e.cancelBubble is supported by IE - this will kill the bubbling process.
	e.cancelBubble = true;
	e.returnValue = 'You sure you want to leave? Your imported images might not be finished.'; //This is displayed on the dialog

	//e.stopPropagation works in Firefox.
	if (e.stopPropagation) {
		e.stopPropagation();
		e.preventDefault();
	}
	}//end import boolean
}//end goodbye function

function resetVars() {
by = defaultBy;
order = defaultOrder;
search = '';
category = '';
page = 1;
id = '';
filter = '';
random = 0;
}

function unbindClick() {
	$('.page').unbind('click');
	$('.preview').unbind('click');
	$('.preview').unbind('dblclick');
	$('.button').unbind('click');
	$('.viewInfo').unbind('click');
}

function bindClick() {
		$('.page').bind('click',pageClick);
        $('.preview').bind('click',imageClick);
        $('.preview').bind('dblclick',imageDblClick);
        $('.button').bind('click',buttonClick);
        $('.viewInfo').bind('click',infoClick);
}

$.jGrowl.defaults.closer = false;
//$.jGrowl.defaults.position = 'bottom-left';

function infoClick()
   {
   $.jGrowl('close');
   loading(true);
   $.post("info.php?id="+$(this).attr('rel')+"&type="+type,function(data) { $.jGrowl(data, { easing: false, speed: 0, sticky: true }); loading(false); });
   }
     
function pageClick() {
		page = $(this).attr('rel'); postFeed(true);
}

function selectNone() {
$('.thumb').removeClass('selected'); 
$('.checkbox').attr('checked',false); 
$('#approve').html('Approve All');
$('#disapprove').html('Disapprove All');
}

function selectAll() {
$('.thumb').removeClass('selected'); 
$('.checkbox').attr('checked',false); 
if(!$('.thumb').hasClass('selected')) { $('.thumb').addClass('selected'); }
$('.checkbox').attr('checked',true); 
}



function imageClick() {
imgid = $(this).attr('id'); 
var imghref = $(this).attr('href');
$('#bottomDrawer').hide();
$('#titleDrawer').hide();

$('#approve').html('Approve Selected');
$('#disapprove').html('Disapprove Selected');

$('#drawer').hide();
$('#urlDrawer').hide();
$('#view').attr('href',imghref);

// clear all
if(!multipleSelect) {
$('.thumb').removeClass('selected'); 
$('.checkbox').attr('checked',false); 
}
if(!$('#thumb'+imgid).hasClass('selected')) { 
$('#thumb'+imgid).addClass('selected'); 
$('#checkbox'+imgid).attr('checked',true); 
} else { 
$('#thumb'+imgid).removeClass('selected'); 
$('#checkbox'+imgid).attr('checked',false); 
}

if(getSelectedArray().length == 0) { $('.removeFromGallery').attr('disabled',true); } else { $('.removeFromGallery').attr('disabled',false); }

return false;
}



function imageDblClick() {
//var self = this;
//hideMessage();
var self = $('#'+imgid);

if(!$('#thumb'+imgid).hasClass('selected')) { 
$('#thumb'+imgid).addClass('selected'); 
$('#checkbox'+imgid).attr('checked',true); 
}

var fancyboxType;

if($(self).attr('rel') != 'video') {
fancyboxType = 'image';
} else {
fancyboxType = false;
}

$.fancybox({
	'href': $(self).attr('href'),
	speedIn: 0,
	speedOut: 0,
	padding:0,
	overlayShow: false, 
//	titlePosition 		: 'inside',
//	titleShow : false,
//	titleFormat		: formatTitle,
//	hideOnOverlayClick: false,
	cyclic : true,
	margin: 20,
	//hideOnContentClick: true,
	centerOnScroll: true,
	type: fancyboxType,
	'showCloseButton'	: false,
	'titlePosition' 		: 'outside',
	'titleFormat'		: formatTitle,
	'onComplete': function() {
		positionTitle();
	} 
	//onStart: function(selectedArray,selectedIndex) { id = selectedArray[selectedIndex]; },
//	onComplete: function() {   },
	//onClosed: function() { $(self).unbind('click.fb'); }
});
//if(fancyboxType == 'image') { $("#fancybox-wrap").easydrag(); }
return false;
}//end
		
function positionTitle() {
	$("#fancybox-title").css({'top':'-30px', 'bottom':'auto'});
}		
				
function reset() {
$('.pageNumbers').html('');
$('#showImages').html('');
}

function formatTitle(title, currentArray, currentIndex, currentOpts) {
    return '<div id="mediaTitle"><span><a href="javascript:;" onclick="$.fancybox.close();"><img src="img/closelabel.gif" /></a></span></div>';
}


function formBind() {
var div = arguments[0];
$('#form').bind('submit',function() {
var location = $(this).attr('action'); 
var postData = $(this).serialize();
var imageData = "&"+getSelected();
if(postData) {
$.post(location+'.php', postData+imageData, function(data) {
if(data) {
$.fancybox.close();
alert(data);
}
});
} else {
alert('Please make changes before submitting.');
}
return false;
});
}

function formUnbind() {
$('#form').unbind('submit');
$('#imageForm').unbind('submit');
}

function alertMe(message,type,div) {

if(!type) { type = 'info'; }
/*
if(!div) { div = '#msg'; }
$(div + ' .msgbox').hide();
$(div).hide().find('.'+type).html(message).show();
$(div).fadeIn('fast');
*/
$.jGrowl(message, { theme: type});
}

function getSelected() {
	return $('#images').serialize();
}

function getSelectedArray() {
	var query_string = []; 
	$("#images input:checkbox").each( 
    function() 
    { 
        if ($(this).attr('checked')) 
        { 
            query_string.push($(this).val()); 
        } 
    });
    return query_string;
}

function imageArray() {
	var query_string = []; 
	$("input:checkbox").each( 
    function() 
    { 
      query_string.push($(this).val()); 
    });
    return query_string;
}

function ajaxFileUpload(location,id)
	{
	var videoParams;
		$.ajaxFileUpload
		(
			{
				url:location+'.php',
				secureuri:false,
				fileElementId:'uploadFile',
				dataType: 'json',
				success: function (data, status)
				{
					if(typeof(data.error) != 'undefined')
					{
						if(data.error != '')
						{
							alert(data.error);
						}else
						{
							if(data.msg) {
							videoParams = id+'='+data.msg;
							}
							submitForm(location,videoParams,false,true);
						}
					}
				},
				error: function (data, status, e)
				{
					alert(e);
				}
			}
		)
		
		return false;

	}

function log(message) { 
	if (!window.console || !console.firebug) {
			var names = ["log", "debug", "info", "warn", "error", "assert", "dir", "dirxml", "group", "groupEnd", "time", "timeEnd", "count", "trace", "profile", "profileEnd"];
			window.console = {};
			for (var i = 0; i < names.length; ++i) window.console[names[i]] = function() {};
		}
	/*
	if(typeof window.console != 'undefined'
    && typeof window.console.log != 'undefined')
	{
		console.log(message); 
	}
	//*/
}

function loading(show) { 
	if(show) { 
		$('#loading').show(); 
	} else { 
		$('#loading').fadeOut('fast'); 
	} 
}

function submitForm(location,postParams,postImages,resetImages) { 					
					
					// @location 	: the php file to send the POST data
					// @postParams 	: set additional params to send
					// @postImages	: set to true if you want to include image ids in POST
					// @resetImages : refreshes the page with new thumbnails 
					
					var postData;
					if(formID) {
						postData = $('#'+formID).serialize();
					} else {
						postData = $('#'+location+'Form').serialize();
					}
					postData += "&type="+type;
					if(postParams) { postData += "&"+postParams; }
					if(postImages) { postData += "&"+getSelected(); } 
					
					loading(true); 
						$.post(location+'.php',postData,function(data) { 
							loading(false);
							$.fancybox.close();
							if(resetImages) {  postFeed(true);  }
							if(data) { alertMe(data,'success'); }
						});
				} //end submitForm function

function deleteThumbs() {
	startAmount = imageArray().length - getSelectedArray().length;
	feedAmount = getSelectedArray().length;
	for(i=0;i<getSelectedArray().length;i++) {
		$('#thumb'+getSelectedArray()[i]).fadeOut('fast',function() { $(this).find('input').remove(); });
		
	}
	postFeed();
	$('.checkbox').attr('checked',false); 
}

function prefill() {
			$('.prefill').addClass("idleField");
       		$('.prefill').focus(function() { 
       			$(this).removeClass("idleField").addClass("focusField");
    		    if (this.value == this.defaultValue){ 
    		    	this.value = '';
				}
				if(this.value != this.defaultValue){
	    			this.select();
	    		}
    		});
    		$('.prefill').blur(function() {
    			
    		    if ($.trim(this.value) == ''){
    		    $(this).removeClass("focusField").addClass("idleField");
			    	this.value = (this.defaultValue ? this.defaultValue : '');
				}
    		});
}


function deleteImages() { if(getSelected()) { submitForm('delete',false,true); deleteThumbs(); selectNone(); } }

function formBox(action) { 
	$.fancybox({
	'href': "edit.php?type="+type+"&action="+action+"&"+getSelected(),
	speedIn: 0,
	speedOut: 0,
	padding:0,
	overlayShow: true, 
	margin: 0,
	centerOnScroll: false,
	autoDimensions: false,
	width: 665,
	height: 500,
	hideOnOverlayClick: false,
	'showCloseButton'	: false,
	'titlePosition' 		: 'outside',
	'titleFormat'		: formatTitle,

	onComplete: function() { 
	positionTitle();
	resetClick();
	$('#addField').click(function() { $('#fieldBox').show().append('<li><input class="prefill" name="fieldname[]" value="field name" /><input name="fieldvalue[]" class="txt" /></li>'); prefill(); });
	$('#fancyboxForm input:first').select().focus();
	$('#'+type+'Form').submit(function() { 
		loading(true);
		formID = type+'Form';
		if(type == 'video') { 
				if($('#uploadFile').val()) { 
					var videoParams;
					if($('#videoID').val()) { videoParams = 'videoid='+$('#videoID').val(); }
					$.post('setvideoid.php',videoParams, function() { ajaxFileUpload('addvideo','videoid'); }); 
					return false; 
				}
				if($('#videoID').val() == 0) { submitForm('addvideo','new=1',false,true); return false; }
		} 
		submitForm('edit',false,true);		
		return false; 
	});		
} //end onComplete
});

}//end function


function galleryForm() { $.fancybox({
	'href': "#addGallery",
	speedIn: 0,
	speedOut: 0,
	padding:0,
	overlayShow: true, 
	margin: 0,
	centerOnScroll: false,
	autoDimensions: false,
	height: 400,
	width: 500,
	hideOnOverlayClick: false,
	'showCloseButton'	: false,
	'titlePosition' 		: 'outside',
	'titleFormat'		: formatTitle,
	onComplete: function() {
	positionTitle();
	$('#galleryName').focus().select();
		if(useJS) {
		$('#galleriesForm').submit(function() { 
			$.post('galleries.php','js=1&'+$('#galleriesForm').serialize(),function(data) { 
				if(data) {
					$.fancybox.close();
					alertMe(data.msg);
					$('#galleryBox').show();
					$('#gallerySelect').append('<option value="'+data.id+'" selected="selected">'+data.name+'</option>');
					$('#galleryParent').append('<option value="'+data.id+'" selected="selected">'+data.name+'</option>');
				}
				return false; 
			},'json'); 
			return false;
			});
		}//end if useJS
	} //end oncomplete
	}); //end fancybox

}//end function

function assignIcon(action,type) {
	for(i=0;i<getSelectedArray().length;i++) {
	
	var id = $('#thumb'+getSelectedArray()[i]).find('.'+type);

	id.removeClass('hide').removeClass('show');
	if(action == 'add') {
		// add icon
		id.addClass('show');
	} else if(action == 'remove') {
		// remove icon
		id.addClass('hide');
	}
	
	}//end for loop
}//end assignIcon


function setApprove(all) { if(all) { loading(true); submitForm('set','approveall=1'); selectAll(); assignIcon('add','approved'); selectNone(); loading(false); } else { submitForm('set','approve=1',true); assignIcon('add','approved'); } }
function setDisapprove(all) { if(all) { loading(true); submitForm('set','disapproveall=1'); selectAll(); assignIcon('remove','approved'); selectNone(); loading(false); } else { submitForm('set','disapprove=1',true); assignIcon('remove','approved'); } }

function buttonClick() {
	if(formSubmitted == 0) { 
	if($(this).hasClass('submitButton')) { 
		$(this).closest('form').append('<input type="hidden" name="'+$(this).attr('id')+'" value="1" />');
		$(this).closest('form').submit(); 
		formSubmitted = 1;
		$('.button').addClass('disabled'); 
	} 
}
$(this).blur();  
return false; 
}

function updateView() {
	loading(true);
	resetVars();
	filter = $('.view').val();
	if(filter == 'random') {
	random = 1; 
	}
	postFeed(true);
	loading(false);
}

function postSearch() {
search = $('#searchInput').val(); postFeed(true); return false;
}


function flashUpload(){
new SWFUpload({
				// Backend Settings
				upload_url: "upload.php",
				// File Upload Settings
				file_size_limit : "102400",	// 100MB
				file_types : "*.*",
				file_types_description : "All Files",
				file_upload_limit : 0,
				file_queue_limit : 500,
				
				post_params : { "admin_key" : admin_key },

				// Event Handler Settings (all my handlers are in the Handler.js file)
				swfupload_preload_handler : preLoad,
				swfupload_load_failed_handler : loadFailed,
				file_dialog_start_handler : fileDialogStart,
				file_queued_handler : fileQueued,
				file_queue_error_handler : fileQueueError,
				file_dialog_complete_handler : fileDialogComplete,
				upload_start_handler : uploadStart,
				upload_progress_handler : uploadProgress,
				upload_error_handler : uploadError,
				upload_success_handler : uploadSuccess,
				upload_complete_handler : uploadComplete,
				//button_window_mode : SWFUpload.WINDOW_MODE.TRANSPARENT, 

				// Button Settings
				
				button_image_url : "img/XPButtonUploadText_61x22.png",
				button_width: 61,
				button_height: 22,
				
				button_placeholder_id : "ems-flash-upload",
				
				// Flash Settings
				flash_url : "swf/swfupload.swf",
				flash9_url : "swf/swfupload_fp9.swf",
			

				custom_settings : {
					progressTarget : "fsUploadProgress1",
					cancelButtonId : "btnCancel1"
				},
				
				// Debug Settings
				debug: false
			});
}