<?php
$option['user_images_per_page'] = $option['image_cols'] * $option['image_rows'];
$option['user_videos_per_page'] = $option['video_cols'] * $option['video_rows'];

function startPage($type=false) {
global $page;
global $option;
global $featured;
global $total;
global $nav;

//if(!$page['current'] && $option['default_page'] == 'browse') { $page['current'] = 1; }

if($page['current'] > 0) {
	if($type == 'video') {
		return (($page['current'] * $option['user_videos_per_page']) - $option['user_videos_per_page']); 
	} elseif($type == 'blog') {
		return (($page['current'] * $option['blog_posts_per_page']) - $option['blog_posts_per_page']);
	} else {
		return (($page['current'] * $option['user_images_per_page']) - $option['user_images_per_page']);
	}
} else { 
	if($option['frontpage_images'] > 0) {
		$option['user_images_per_page'] = $option['frontpage_images'];
	}
	if($option['frontpage_videos'] > 0) {
		$option['user_videos_per_page'] = $option['frontpage_videos'];
	}
return 0;

}
}//end startPage

function displayPages() {

global $page;
global $total;
global $option;
global $smarty;
global $nav;

$pageMove = $option['page_display'] / 2;
// $pageMove = $option['page_move']; // old method

if($total['videos'] > 0 && $option['user_videos_per_page'] > 0) {
	$totalVideos['pages'] = ceil($total['videos'] / $option['user_videos_per_page']);
}

if($total['images'] > 0 && $option['user_images_per_page'] > 0) {
	$totalImages['pages'] = ceil($total['images'] / $option['user_images_per_page']);
}

if($total['blog'] > 0 && $option['blog_posts_per_page'] > 0) {
	$total['pages'] = ceil($total['blog'] / $option['blog_posts_per_page']);
}


if($totalVideos['pages']) { $total['pages'] = $totalVideos['pages']; }
if($totalImages['pages']) { $total['pages'] += $totalImages['pages']; }

if($total['pages'] > 0) {
// previous pages
if($page['current'] > 1) {
for($pageNumber=$page['current']-$pageMove;$pageNumber<$page['current'];$pageNumber++) {
if($pageNumber > 0) {
$page['prev'][] = $pageNumber;
}
}
$page['prev_page'] = $page['current'] - 1;
}

// next pages
if($page['current'] < $total['pages']) {
for($pageNumber=$page['current']+1;$pageNumber<($page['current'] + $pageMove);$pageNumber++) {
if($pageNumber < $total['pages']+1) {
$page['next'][] = $pageNumber;
}
}
$page['next_page'] = $page['current'] + 1;
}


}//end total pages

//echo "<!-- "; print_r($total); echo " -->"; 
// $page['current'], $page['next'], $page['prev']
$smarty->assign('page',$page);

// $total['images'], $total['pages']
$smarty->assign('total',$total); 

}//end displayPages
?>