<html>
<head>
<title>{$title}</title>
{if $option.site_desc}<meta name="description" content="{$option.site_desc}" />{/if}
{if $option.site_keywords}<meta name="keywords" content="{$option.site_keywords}" />{/if}
<script type="text/javascript" src="{$sharedURL}/js/jquery-1.4.2.min.js"></script>
<script src="{$sharedURL}/js/imageResize.js"></script>
<link rel="stylesheet" type="text/css" href="{$sharedURL}/js/fancybox/jquery.fancybox-1.3.1.css" media="screen" />
<script type="text/javascript" src="{$sharedURL}/js/fancybox/jquery.fancybox-1.3.1.js"></script>
<script src="{$templateURL}/script.js"></script>
<link rel="stylesheet" href="{$templateURL}/style.css" />
</head>
<body>
<div id="ems-container">
<div id="ems-header">
<div id="ems-logo">
<h1><a href="{$nav.home}">{$option.site_name}</a></h1>
<h2>{$option.site_desc}</h2>
</div>
{if $option.enable_users}
<div id="ems-menu">
<ul>
<li><a href="{$nav.home}"{if $nav.current == 'home'} class="active"{/if}>home</a></li>
<li><a href="{$nav.browse.images}"{if $nav.current == 'images'} class="active"{/if}>images</a></li>
<li><a href="{$nav.browse.videos}"{if $nav.current == 'videos'} class="active"{/if}>videos</a></li>
<li><a href="{$nav.galleries}"{if $nav.current == 'galleries'} class="active"{/if}>galleries</a></li>
{if $uid}<li><a href="{$nav.user.cp}"{if $nav.current == 'user'} class="active"{/if}>user cp</a></li>{/if}
<li><a href="{$nav.favorites}"{if $nav.current == 'favorites'} class="active"{/if}>favorites</a></li>
<li><a href="{$nav.blog}"{if $nav.current == 'blog'} class="active"{/if}>blog</a></li>
{if !$uid}
<li><a href="{$nav.signup}"{if $nav.current == 'signup'} class="active"{/if}>signup</a></li>
<li><a href="{$nav.login}"{if $nav.current == 'login'} class="active"{/if}>login</a></li>
{else}
<li><a href="{$nav.upload}"{if $nav.current == 'upload'} class="active"{/if}>upload</a></li>
<li><a href="{$nav.logout}">logout</a></li>
{/if}
</ul>
<br />
{if $uid && $username || $isAdmin}<div id="ems-loginStatus">logged in as <b>{if $uid}<a href="{$nav.user.profile}{$username}">{$username}</a>{else}{if $isAdmin}<b class="redlink">administrator</b>{/if}{/if}</b></div>{/if}
{if $option.nws_toggle}<a href="{$nav.worksafe}" id="ems-worksafe">{if $filter=='ws'}worksafe <strong>ON</strong>{/if}{if $filter=='nws'}worksafe <strong>OFF</strong>{/if}{if $filter=='off'}viewing all images{/if}</a>{/if}
</div>
{/if}
</div>
<br />
{include file="$sharedFolder/templates/msg.tpl"}
<br />
{$ads}
<div class="clear"></div>