{include file="$templateFolder/header.tpl"}
<div id="ems-sidebar">
{if $isAdmin}{include file="$sharedFolder/templates/adminDashboard.tpl"}{/if}
<h3>Share this image</h3><div id="ems-share">{include file="$sharedFolder/templates/share.tpl"}</div><br />
<div id="ems-toolbar">
{include file="$sharedFolder/templates/toolbar.tpl"}
{$like}
</div>
<div id="ems-tagList">
{include file="$sharedFolder/templates/tags.tpl"}
{include file="$sharedFolder/templates/updateTags.tpl"}
</div>
{if $option.show_rating}
<br />
{if $rating > 0}
Current Rating: {$rating}
{/if}
<ul>
<li>
{include file="$sharedFolder/templates/rating.tpl"}
</ul>
<br />
{/if}
{if $image}
<h3>Image Info</h3>
{include file="$sharedFolder/templates/info.tpl"}
<br />
{/if}
{if $option.share_images}
{if $image}
<h3>Embed this image</h3>
<div id="ems-code">{include file="$sharedFolder/templates/code.tpl"}</div>
<br />
{/if}
{/if}
<div id="ems-moreThumbs">
{if $image}
<h3>more images</h3>
{include file="$sharedFolder/templates/random/images.tpl"}
{else}
<h3>more videos</h3>
{include file="$sharedFolder/templates/random/videos.tpl"}
{/if}
</div>
</div>
<div id="ems-content">
{if $image.src}<a href="{$image.src}" class="ems-fullSizeText">Click here for full size</a>{/if}
<div id="ems-galleryButtons">
{if $prev.i}<a href="{$nav.location}{$prev.i}" class="ems-galleryPrev">&laquo; Previous</a>{/if}
{if $next.i}<a href="{$nav.location}{$next.i}" class="ems-galleryNext">Next &raquo;</a>{/if}
</div>
<div class="clear"></div>
{include file="$sharedFolder/templates/display.tpl"}
<div id="ems-displayDetails">
<h2>{$media.title}</h2>
{if $media.description}<p>Description: {$media.description}</p>{/if}
{if $media.keywords}<p>Keywords: {$media.keywords}</p>{/if}
</div>
<div class="clear"></div>
<div id="ems-fields">
{include file="$sharedFolder/templates/fields.tpl"}
</div>
<br />
{if $option.comments_enabled}
<div id="ems-comments">{include file="$sharedFolder/templates/comments/display.tpl"}</div>
{if $uid && $username || $isAdmin}<div id="ems-commentLogin">logged in as <b>{if $uid}{$username}{else}{if $isAdmin}<b class="redlink">administrator</b>{/if}{/if}</b></div>{/if}
{if $uid && $username || $isAdmin}<div id="ems-commentPost">{include file="$sharedFolder/templates/comments/post.tpl"}</div>{else}<p>You must be <a href="{$nav.login}">logged in</a> to post a comment.</p>{/if}
{/if}
</div>
{include file="$templateFolder/footer.tpl"}